#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		tdbc		1.1.9
%define		itcl		4.3.0
%define		sqlite		3.45.3
%define		thread		2.8.10
%define 	majver		%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	tcl
Version		:	8.6.15
Release		:	17.0.10.rel%{?dist}
Summary		:	Tool Command Language, pronounced tickle
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	TCL
URL		:	http://tcl.sourceforge.net/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
The Tcl (Tool Command Language) provides a powerful platform for
creating integration applications that tie together diverse
applications, protocols, devices, and frameworks. When paired with the
Tk toolkit, Tcl provides a fastest and powerful way to create
cross-platform GUI applications.  Tcl can also be used for a variety
of web-related tasks and for creating powerful command languages for
applications.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc unix/README
%{_includedir}/*.h
%{_bindir}/tclsh*
%{_bindir}/sqlite3_analyzer
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}%{majver}.so
%{_libdir}/lib%{name}stub%{majver}.a
%{_libdir}/%{name}8/*/*.tm
%{_libdir}/%{name}8/%{majver}/tdbc/sqlite*.uuid
%{_libdir}/%{name}8/*/*/*.tm
%{_libdir}/%{name}%{majver}/*
%{_libdir}/%{name}*.sh
%{_libdir}/itcl%{itcl}/*
%{_libdir}/tdbcmysql%{tdbc}/*
%{_libdir}/tdbcpostgres%{tdbc}/*
%{_libdir}/thread%{thread}/*
%{_libdir}/tdbcodbc%{tdbc}/*
%{_libdir}/tdbc%{tdbc}/*
%{_libdir}/sqlite%{sqlite}/*
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz
%{_mandir}/mann/*.n.gz

#=============================================================================
%prep
%setup -q -n %{name}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

export SRCDIR=`pwd`

#%{__tar}							\
#	--strip-components=1					\
#	-xf							\
#	%{SOURCE1}
	
pushd unix

autoreconf -f -i
./configure							\
        --prefix=%{_prefix}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--exec-prefix=%{_exec_prefix}				\
	--sysconfdir=%{_sysconfdir}				\
	--sbindir=%{_sbindir}					\
	--infodir=%{_infodir}					\
	--mandir=%{_mandir}					\
	--docdir=%{_defaultdocdir}/%{name}-%{version}		\
	--enable-64bit						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

sed -i								\
  -e "s#$SRCDIR/unix#%{_libdir}#"				\
  -e "s#$SRCDIR#%{_includedir}#"				\
  tclConfig.sh 

sed -i								\
  -e "s#$SRCDIR/unix/pkgs/tdbc%{tdbc}#%{_libdir}/tdbc%{tdbc}#"	\
  -e "s#$SRCDIR/pkgs/tdbc%{tdbc}/generic#%{_includedir}#"	\
  -e "s#$SRCDIR/pkgs/tdbc%{tdbc}/library#%{_prefix}/lib/tcl8.6#"\
  -e "s#$SRCDIR/pkgs/tdbc%{tdbc}#%{_includedir}#"		\
  pkgs/tdbc%{tdbc}/tdbcConfig.sh

sed -i								\
  -e "s#$SRCDIR/unix/pkgs/itcl%{itcl}#%{_libdir}/itcl%{itcl}#"	\
  -e "s#$SRCDIR/pkgs/itcl%{itcl}/generic#%{_includedir}#"	\
  -e "s#$SRCDIR/pkgs/itcl%{itcl}#%{_includedir}#"		\
  pkgs/itcl%{itcl}/itclConfig.sh   

popd

#-----------------------------------------------------------------------------
%check
%{__make}							\
	-C unix							\
	-j1 							\
	test

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}								\
	DESTDIR=%{buildroot}						\
	-C unix								\
	install

%{__make}								\
	DESTDIR=%{buildroot}						\
	-C unix								\
	install-private-headers

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-type f -exec chmod u+w {} \;

%{__ln_s} tclsh%{majver} %{buildroot}%{_bindir}/%{name}sh
%{__ln_s} lib%{name}%{majver}.so %{buildroot}%{_libdir}/lib%{name}.so

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#To remove manual collinding with perl
find 							\
	%{buildroot}%{_mandir}/man3			\
	-name Thread.3					\
	-delete

#-----------------------------------------------------------------------------
%changelog
